#!/bin/sh

LOGFILE=
i=0
[ -d /root/rd1 ] || { 
	echo "/root/rd1 not exist"
	exit 1
}


if [ ! -e /root/rd1/tfs.gz ] ; then 
		echo "tfs.gz not exist"
		exit 1
fi

[  -d /root/rd2 ]  || {
		echo "/root/rd2 not exist"
		exit 1	
}

i=0
while [ $i -lt 50 ] ; do
		echo "Iteration $((i+1))............."	
		echo gunziping file
		gzip -cd /root/rd1/tfs.gz >/root/rd2/tfs
		echo gzip done
		
		echo "diff gzip result"
		gzip -cdfq /root/rd1/tfs.gz | diff - /root/rd2/tfs 

		if [ $? -eq  0 ] ; then 
				echo  diff result same
		fi		

		rm	/root/rd2/tfs
		
		i=$((i+1))
done
